{% extends 'test_base_2.html' %}

{% block title %} Dashboard {% endblock %}

<!-- Specific Page CSS goes HERE  -->
{% block stylesheets %}
    <link href="/static/assets/css/app.css" rel="stylesheet">
    <link href="/static/assets/css/historical_data.css" rel="stylesheet">
{% endblock %}

{% block content %}

<main class="content">

    <div class="container-fluid p-0">

        <div class="row mb-2 mb-xl-3">
            <div class="col-auto d-none d-sm-block">
                <h3><strong>Machine Learning</strong> Model</h3>
            </div>

            <div class="col-auto ml-auto text-right mt-n1">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb bg-transparent p-0 mt-1 mb-0">
                        <li class="breadcrumb-item"><a href="/">Saviour</a></li>
                        <li class="breadcrumb-item active" aria-current="page">Analyse</li>
                    </ol>
                </nav>
            </div>
        </div>


    <!-- //button -->
    <div class="container-fluid with-padding">
        <div class="row">
            <div class="col-auto">
                <a href="/train_model_calculate_results"><button type="button" class="btn btn-primary">Trainiere das Modell</button></a>
            </div>
            <div class="col-auto">
                <h5>Letzten Training abgeschlossen: {{last_training_time}}</h5>
            </div>
        </div>
    </div>

    <div class="container-fluid with-padding">
        <h5>Graphen</h5>
        {% for i in ["Zugfestigkeit [N]", "Bruchdehnung [%]", "Schlagzähigkeit [J]", "Geometrische Genauigkeit"] %}
        <div class="row">
            <div class="col-auto">
                <h5 class="card-title mb-0">{{i}}:</h5>
            </div>
            <div class="col-auto">
                <a href="/machine-learning-model/show_diagramm/{{i}}/model" id=test><button type="button" class="btn btn-primary">Model Performance</button></a>
            </div>
            <div class="col-auto">
                <a href="/machine-learning-model/show_diagramm/{{i}}/PFI Importance" id=test><button type="button" class="btn btn-primary">Feature Importance</button></a>
            </div>
            <div class="col-auto">
                <a href="/machine-learning-model/show_diagramm/{{i}}/PDP Importance" id=test><button type="button" class="btn btn-primary">Abhängigkeiten</button></a>
            </div>
        </div>
        {% endfor %}
    </div>

    <div class="container-fluid with-padding">
        <h5>Aktuell wird dargestellt: </h5>
        <p>{{graph_name}}</p>
        <p>{{description}}</p>
        <div id="chart0" class="chart"></div>
    </div>

</main>

{% endblock content %}

<!-- Specific Page JS goes HERE  -->
{% block javascripts %}


<script src="//ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
<script type=text/javascript>
        $(function() {
          $('a#button_train').on('click', function(e) {
            e.preventDefault()
            $.getJSON('/train_model_calculate_results',
                function(data) {
              //do nothing
            });
            return false;
          });
        });
</script>



<script src='https://cdn.plot.ly/plotly-latest.min.js'></script>
<script>
    var graph = {{graph | safe}};
    Plotly.plot('chart0',graph,{});
</script>


{% endblock javascripts %}
